This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 747765

Summary: Review Request: apache-log4j-extras - Apache Extras Companion for Apache log4j
Product: [Fedora] Fedora Reporter: David Nalley <david>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: akurtako, package-review
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-29 12:13:43 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description David Nalley 2011-10-20 20:41:08 EDT
Spec URL: http://ke4qqq.fedorapeople.org/apache-log4j-extras.spec
SRPM URL: http://ke4qqq.fedorapeople.org/apache-log4j-extras-1.1-1.fc15.src.rpm
Description: Apache Extras Companion™ for Apache log4j™ is a collection of appenders, filters, and layouts for Apache log4j 1.2
Comment 2 David Nalley 2011-10-20 23:20:15 EDT
bah - I know better. Thanks tibbs. 

Spec URL: http://ke4qqq.fedorapeople.org/apache-log4j-extras.spec
SRPM URL: http://ke4qqq.fedorapeople.org/apache-log4j-extras-1.1-2.fc15.src.rpm
Description: Apache Extras Companion for Apache log4j is a collection of
appenders, filters, and layouts for Apache log4j 1.2
Comment 3 Alexander Kurtakov 2011-10-21 04:05:07 EDT
Few initial comments:
* Java packages are required to ship a javadoc subpackage - I see that the ant build.xml doesn't have a target for that but you can easily get it by building with maven
* The package ships pom.xml so it would be good to ship the maven integration. 

See http://fedoraproject.org/wiki/Packaging:Java for details.
Comment 4 David Nalley 2011-12-24 22:53:50 EST
I've moved to maven (and I am reminded how much I dislike (and don't grok) maven). 

A couple of notes - currently this only builds in rawhide - and given that this is a dependency for something that I am intending including in F17 only, that works for me. 

SPEC URL: http://ke4qqq.fedorapeople.org/apache-log4j-extras.spec
SRPM URL: http://ke4qqq.fedorapeople.org/apache-log4j-extras-1.1-3.fc16.src.rpm

Here's a koji scratch build: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=3604922
Comment 5 eric@christensenplace.us 2012-01-17 13:27:31 EST
I can't locate the patch in any public location.
Comment 6 eric@christensenplace.us 2012-01-31 12:52:22 EST
I'm seeing these errors when building in F16:

[WARNING] 
[WARNING] Some problems were encountered while building the effective model for log4j:apache-log4j-extras:bundle:1.1
[WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-resources-plugin is missing. @ line 83, column 15
[WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-javadoc-plugin is missing. @ line 227, column 15
[WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-compiler-plugin is missing. @ line 96, column 15
[WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-surefire-plugin is missing. @ line 90, column 15
[WARNING] 'build.plugins.plugin.version' for org.apache.rat:apache-rat-plugin is missing. @ line 79, column 15
[WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-site-plugin is missing. @ line 213, column 15
[WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-source-plugin is missing. @ line 242, column 15
[WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-jar-plugin is missing. @ line 104, column 12
[WARNING] 
[WARNING] It is highly recommended to fix these problems because they threaten the stability of your build.
[WARNING] 
[WARNING] For this reason, future Maven versions might no longer support building such malformed projects.
[WARNING] 
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building Apache Extras Companion? for Apache log4j?. 1.1
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- maven-antrun-plugin:1.6:run (javadoc.resources) @ apache-log4j-extras ---
[WARNING] The POM for ant:ant:jar:1.5 is missing, no dependency information available
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Skipping Apache Extras Companion? for Apache log4j?.
[INFO] This project has been banned from the build due to previous failures.
[INFO] ------------------------------------------------------------------------
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 3.354s
[INFO] Finished at: Tue Jan 31 12:30:32 EST 2012
[INFO] Final Memory: 8M/106M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-antrun-plugin:1.6:run (javadoc.resources) on project apache-log4j-extras: Execution javadoc.resources of goal org.apache.maven.plugins:maven-antrun-plugin:1.6:run failed: Plugin org.apache.maven.plugins:maven-antrun-plugin:1.3 or one of its dependencies could not be resolved: The repository system is offline but the artifact ant:ant:jar:1.5 is not available in the local repository. -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/PluginResolutionException
error: Bad exit status from /var/tmp/rpm-tmp.wzxP8u (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.wzxP8u (%build)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/apache-log4j-extras.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 352, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/apache-log4j-extras.spec']
LEAVE do --> EXCEPTION RAISED
Comment 7 Alexander Kurtakov 2012-01-31 13:06:48 EST
Ant upstream has moved away of groupId long long ago. The current one is org.apache.ant and the pom.xml should be patched to reflect this.
Comment 8 David Nalley 2012-02-10 17:08:31 EST
Alexander: 

Does the patch not accomplish that? If not, I am clearly missing something. (I admit my ignorance upfront) 

--David
Comment 9 Alexander Kurtakov 2012-02-11 00:42:47 EST
David, 
Looks like it does that but looking at the build log smth is looking for ant:ant.
Eric, does it  works in koji?
Comment 10 David Nalley 2014-01-29 12:13:43 EST
Others picking this up - abandoning as I don't have time to maintain.